# Specify the auxiliary and output directories
$aux_dir = '../.aux';
$out_dir = '../out';

# Set lualatex as the default engine
$pdf_mode = 1; # Enable PDF generation mode
# $pdflatex = 'lualatex --interaction=nonstopmode --shell-escape'
$lualatex = 'lualatex %O --interaction=nonstopmode --shell-escape %S'

# Additional options for compilation
    # '-verbose',
    # '-file-line-error',

# Quickfix-like filtering (warnings to ignore)
# @warnings_to_filter = (
#     qr/Underfull \\hbox/,
#     qr/Overfull \\hbox/,
#     qr/LaTeX Warning: .+ float specifier changed to/,
#     qr/LaTeX hooks Warning/,
#     qr/Package siunitx Warning: Detected the "physics" package:/,
#     qr/Package hyperref Warning: Token not allowed in a PDF string/
# );

# # Filter function for warnings
# sub filter_warnings {
#     my $warning = shift;
#     foreach my $filter (@warnings_to_filter) {
#         return 0 if $warning =~ $filter;
#     }
#     return 1;
# }
